.common-box {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
  background-color: #FFF;
  margin-bottom: 24px;
}
.common-box-title {
  font-size: 14px;
  color: #393939;
  padding: 12px;
}
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
body {
  font-family: "Helvetica Neue", Helvetica, "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", "微软雅黑", Arial, sans-serif;
  color: #636363;
  background-color: #F0F0F0;
  font-size: 12px;
}
a {
  color: rgba(0, 0, 0, 0.87);
  text-decoration: none;
  outline: 0;
}
a:hover {
  color: #0275d8;
}
#header {
  position: fixed;
  left: 0;
  right: 0;
  background-color: #ffffff;
  z-index: 1000;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.03), 0 1px 0 rgba(0, 0, 0, 0.03);
  height: 64px;
  line-height: 62px;
  overflow: hidden;
  padding: 0 24px;
}
#header #navigator,
#header #lnkBlogLogo,
#header h2 {
  display: none;
}
#header #Header1_HeaderTitle {
  color: #000;
  font-weight: bold;
  font-size: 16px;
}
#main {
  padding: 88px 24px 24px;
}
#mainContent {
  float: left;
  margin-left: 274px;
  width: calc(100% - 548px);
}
#mainContent .forFlow {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
  background-color: #fff;
  min-height: 800px;
  padding: 10px 24px;
}
#mainContent .day .dayTitle {
  display: none;
}
#mainContent .day .postTitle {
  font-size: 20px;
  margin-top: 12px;
  margin-bottom: 12px;
}
#mainContent .day .c_b_p_desc {
  line-height: 20px;
  margin-left: 2px;
}
#mainContent .day .postDesc {
  padding: 6px 0 10px 2px;
  border-bottom: 1px solid rgba(120, 130, 140, 0.13);
  word-spacing: 2px;
}
#mainContent .entrylist .entrylistTitle {
  font-size: 22px;
  font-weight: normal;
  padding-bottom: 15px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.15);
}
#mainContent .entrylist .entrylistItem .entrylistPosttitle {
  font-size: 20px;
  margin-top: 12px;
  margin-bottom: 12px;
}
#mainContent .entrylist .entrylistItem .c_b_p_desc {
  line-height: 20px;
}
#mainContent .entrylist .entrylistItem .entrylistItemPostDesc {
  padding: 6px 0 10px 4px;
  border-bottom: 1px solid rgba(120, 130, 140, 0.13);
  word-spacing: 2px;
}
#sideBar {
  float: right;
  width: 250px;
}
#sideBar ul {
  list-style: none;
}
#sideBar .mySearch {
  position: fixed;
  right: 24px;
  top: 11px;
  z-index: 1001;
}
#sideBar .mySearch .catListTitle,
#sideBar .mySearch #widget_my_google {
  display: none;
}
#sideBar .mySearch #widget_my_zzk {
  position: relative;
}
#sideBar .mySearch #widget_my_zzk .input_my_zzk {
  width: 100%;
  height: 32px;
  border-radius: 4px;
  padding: 0 30px 0 8px;
  color: #55595c;
  outline: none;
  border: 1px solid rgba(120, 130, 140, 0.3);
  -webkit-transition: all 0.2s;
          transition: all 0.2s;
}
#sideBar .mySearch #widget_my_zzk .input_my_zzk:focus {
  border-color: rgba(102, 175, 233, 0.8);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.4);
}
#sideBar .mySearch #widget_my_zzk .btn_my_zzk {
  position: absolute;
  top: 0;
  right: 0;
  background: transparent url('https://images.cnblogs.com/cnblogs_com/yaoworld/749986/o_search.png') no-repeat 10px 5px;
  border: none;
  width: 38px;
  height: 32px;
  text-indent: -9999px;
  overflow: hidden;
  cursor: pointer;
  padding: 0;
  opacity: 0.7;
}
#sideBar .mySearch #widget_my_zzk .btn_my_zzk:hover {
  opacity: 1;
}
#sideBar .newsItem .catListTitle {
  display: none;
}
#sideBar #blog-news {
  position: absolute;
  left: 24px;
  top: 88px;
  width: 250px;
  height: 120px;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
  background-color: #FFF;
}
#sideBar #blog-news .my {
  float: left;
  margin: 12px 0 0 10px;
}
#sideBar #blog-news .my img {
  width: 80%;
}
#sideBar #blog-news #profile_block {
  padding-top: 6px;
  line-height: 21px;
}
#sideBar #blog-news #p_b_follow {
  /*position: absolute;
            left: 200px;
            top: 100px;*/
}
#sideBar #blog-news #p_b_follow a {
  color: #636363;
  margin-left: 35px;
}
#sideBar #sidebar_scorerank {
  position: absolute;
  left: 24px;
  top: 208px;
  width: 250px
  /*border-top: 1px solid rgba(120,130,140,.13);*/
}
#sideBar #sidebar_scorerank .catListTitle {
  display: none;
}
#sideBar #sidebar_scorerank ul {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
  background-color: #FFF;
  overflow: hidden;
}
#sideBar #sidebar_scorerank ul li {
  float: left;
  width: 50%;
  height: 40px;
  line-height: 40px;
  text-align: center;
}
#sideBar #sidebar_scorerank ul li:first-child {
  border-right: 1px solid rgba(120, 130, 140, 0.13);
}
#sideBar #blog-calendar {
  position: absolute;
  left: 24px;
  top: 248px;
  width: 250px;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
  background-color: #FFF;
  padding: 8px 12px;
}
#sideBar #blog-calendar td,
#sideBar #blog-calendar th {
  padding: 4px 2px;
}
#sideBar #blog-calendar .CalTitle td:nth-child(2) {
  font-weight: bold;
}
#sideBar #blog-calendar .CalTodayDay {
  color: #0cc2aa;
  font-weight: bold;
}
#sideBar #blog-calendar .CalOtherMonthDay {
  color: #D0D0D0;
}
#sideBar #sidebar_postcategory {
  position: fixed;
  left: 140px;
  top: 0;
  z-index: 1001;
}
#sideBar #sidebar_postcategory .catListTitle {
  display: none;
}
#sideBar #sidebar_postcategory li {
  float: left;
}
#sideBar #sidebar_postcategory a {
  float: left;
  color: #333;
  height: 64px;
  line-height: 64px;
  margin: 0 24px;
  font-size: 14px;
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px transparent;
  position: relative;
  overflow: hidden;
}
#sideBar #sidebar_postcategory a:before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 50%;
  right: 50%;
  bottom: 0;
  background: #2098D1;
  height: 3px;
  -webkit-transition-property: left, right;
  transition-property: left, right;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}
#sideBar #sidebar_postcategory a:hover:before,
#sideBar #sidebar_postcategory a:focus:before,
#sideBar #sidebar_postcategory a:active:before {
  left: 0;
  right: 0;
}
#sideBar #sidebar_toptags {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
  background-color: #FFF;
  margin-bottom: 24px;
}
#sideBar #sidebar_toptags .catListTitle {
  font-size: 14px;
  color: #393939;
  padding: 10px 12px;
  border-bottom: 1px solid rgba(120, 130, 140, 0.13);
}
#sideBar #sidebar_toptags ul {
  padding: 4px 0;
}
#sideBar #sidebar_toptags li {
  padding: 8px 4px 8px 12px;
}
#sideBar #sidebar_postarchive {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
  background-color: #FFF;
  margin-bottom: 24px;
}
#sideBar #sidebar_postarchive .catListTitle {
  font-size: 14px;
  color: #393939;
  padding: 10px 12px;
  border-bottom: 1px solid rgba(120, 130, 140, 0.13);
}
#sideBar #sidebar_postarchive ul {
  padding: 4px 0;
}
#sideBar #sidebar_postarchive li {
  padding: 8px 4px 8px 12px;
}
#sideBar #sidebar_topviewedposts {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
  background-color: #FFF;
  margin-bottom: 24px;
}
#sideBar #sidebar_topviewedposts .catListTitle {
  font-size: 14px;
  color: #393939;
  padding: 10px 12px;
  border-bottom: 1px solid rgba(120, 130, 140, 0.13);
}
#sideBar #sidebar_topviewedposts ul {
  padding: 7px 0;
}
#sideBar #sidebar_topviewedposts li {
  padding: 5px 4px 5px 12px;
  line-height: 20px;
}
#sideBar #sidebar_shortcut {
  display: none;
}
#post_detail {
  position: relative;
}
#post_detail .postTitle {
  font-weight: normal;
  padding-bottom: 15px;
  margin-bottom: 80px;
  margin-top: 5px;
  text-align: center;
}
#post_detail .postTitle .postTitle2 {
  font-size: 26px;
}
#post_detail .postDesc {
  position: absolute;
  left: 0;
  top: 40px;
  width: 100%;
  text-align: center;
  padding: 6px 0 12px 4px;
  border-bottom: 1px solid rgba(120, 130, 140, 0.13);
  word-spacing: 4px;
}
#post_detail #cnblogs_post_body {
  font-size: 16px;
  line-height: 1.5em;
}
#post_detail #cnblogs_post_body p {
  text-indent: 2em;
  margin: 1.5em 0;
}
#post_detail #green_channel {
  border: none;
  text-align: center;
  width: 100%;
}
#post_detail #BlogPostCategory {
  position: absolute;
  left: 33px;
  top: 90px;
}
#post_detail #BlogPostCategory a {
  margin: 0 3px;
}
#post_detail #div_digg {
  margin-right: 0;
}
#comment_form {
  margin-top: 15px;
  padding-top: 10px;
  border-top: 1px solid rgba(120, 130, 140, 0.13);
}
#comment_form #comment_nav {
  float: right;
  padding: 0 4px 0 0;
}
#comment_form .commentbox_main {
  margin-top: 10px;
}
#comment_form .author {
  -webkit-transform: translate(7px, 0);
      -ms-transform: translate(7px, 0);
          transform: translate(7px, 0);
  border-radius: 4px;
  height: 32px;
  background-position: 5px 0px;
}
#comment_form .commentbox_title {
  overflow: hidden;
  margin-bottom: 10px;
}
#comment_form .commentbox_title_right {
  float: left;
  margin-left: 6px;
}
#comment_form .commentbox_title_right img {
  margin-right: 6px;
  cursor: pointer;
  -webkit-transition: all 0.1s;
          transition: all 0.1s;
}
#comment_form .commentbox_title_right img:hover {
  -webkit-transform: scale(1.1);
      -ms-transform: scale(1.1);
          transform: scale(1.1);
}
#comment_form #comment_form_container p {
  padding-left: 24px;
}
#comment_form #commentbox_opt {
  padding-left: 67px !important;
}
#comment_form .comment_textarea {
  margin-left: 67px;
  width: calc(100% - 67px);
  height: 200px;
  padding: 6px 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
          transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
#comment_form .comment_textarea:focus {
  border-color: #66afe9;
  outline: 0;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
}
#comment_form .comment_btn {
  width: auto;
  height: auto;
  padding: 6px 12px;
  font-size: 14px;
  color: #fff;
  background-color: #337ab7;
  border-radius: 4px;
  border: 1px solid #2e6da4;
  cursor: pointer;
  -webkit-transition: all 0.2s;
          transition: all 0.2s;
}
#comment_form .comment_btn:hover {
  background-color: #286090;
  border-color: #204d74;
}
#footer {
  text-align: center;
  background-color: #2E3E4E;
  color: rgba(255, 255, 255, 0.87);
  padding: 24px;
}